#ifndef IRFOX_ANALYZER_SETTINGS
#define IRFOX_ANALYZER_SETTINGS

#include <AnalyzerSettings.h>
#include <AnalyzerTypes.h>

class IrFoxAnalyzerSettings : public AnalyzerSettings
{
public:
	IrFoxAnalyzerSettings();
	virtual ~IrFoxAnalyzerSettings();

	virtual bool SetSettingsFromInterfaces();
	void UpdateInterfacesFromSettings();
	virtual void LoadSettings(const char* settings);
	virtual const char* SaveSettings();

	Channel mInputChannel;

protected:
	AnalyzerSettingInterfaceChannel mInputChannelInterface;
};

#endif
